import { Connection, createConnection } from "typeorm";

import { Room } from "./model";

export { Room };

export const connect = () =>
  createConnection({
    url: process.env.DATABASE_URL,
    type: "cockroachdb",
    ssl: true,
    synchronize: true,
    logging: false,
    entities: [Room],
  });

export const getRoomList = (connection: Connection) =>
  connection.manager.find(Room);

export const updateFree = (
  connection: Connection,
  id: number,
  value: boolean
) => connection.manager.update(Room, id, { free: value });
